import 'jquery'

declare module 'jquery' {
  interface JQuery {
    summernote(options?: any): JQuery;
    summernote(method: 'code', content?: string): string | void;
    summernote(method: 'destroy'): void;
    summernote(method: 'reset'): void;
    summernote(method: string, ...params: any[]): JQuery;
  }
}